package com.goldenwater.slgc.service;

import java.util.List;
import com.goldenwater.slgc.domain.AttLkBase;

/** 湖泊信息 Service */
public interface LakeService {
    /**
     * 查询湖泊信息列表
     * 
     * @param attLkBase 查询条件
     * @return 湖泊信息列表
     */
    public List<AttLkBase> selectAttLkBaseList(AttLkBase attLkBase);

    /**
     * 通过湖泊编码查询湖泊信息
     * 
     * @param lkCode 湖泊编码
     * @return 湖泊信息
     */
    public AttLkBase selectAttLkBaseById(String lkCode);

    /**
     * 批量删除湖泊信息
     * 
     * @param lkCodes 湖泊编码数组
     * @return 删除行数
     */
    public int deleteAttLkBaseByIds(String[] lkCodes);

    /**
     * 新增湖泊信息
     * 
     * @param attLkBase 湖泊信息
     * @return 插入行数
     */
    public int insertAttLkBase(AttLkBase attLkBase);

    /**
     * 修改湖泊信息
     * 
     * @param attLkBase 湖泊信息
     * @return 更新行数
     */
    public int updateAttLkBase(AttLkBase attLkBase);
}
